| Version: 3.2.5

Public Attributes | List of all members
wxAuiTabContainerButton Class Reference
Class List by Category » Window Docking (wxAUI)

`#include <wx/aui/auibook.h>`

## Detailed Description

A simple class which holds information about wxAuiNotebook tab buttons and their state.

##

Library: wxAui
Category: Window Docking (wxAUI)

## Public Attributes

int | id
| button's id More...
int | curState
| current state (normal, hover, pressed, etc.) More...
int | location
| buttons location (wxLEFT, wxRIGHT, or wxCENTER) More...
wxBitmapBundle | bitmap
| button's hover bitmap More...
wxBitmapBundle | disBitmap
| button's disabled bitmap More...
wxRect | rect
| button's hit rectangle More...

## Member Data Documentation

## ◆ bitmap

wxBitmapBundle wxAuiTabContainerButton::bitmap

button's hover bitmap

## ◆ curState

int wxAuiTabContainerButton::curState

current state (normal, hover, pressed, etc.)

## ◆ disBitmap

wxBitmapBundle wxAuiTabContainerButton::disBitmap

button's disabled bitmap

## ◆ id

int wxAuiTabContainerButton::id

button's id

## ◆ location

int wxAuiTabContainerButton::location

buttons location (wxLEFT, wxRIGHT, or wxCENTER)

## ◆ rect

wxRect wxAuiTabContainerButton::rect

button's hit rectangle